package com.hanback.dipsw;

import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.CheckBox;

public class DipSWActivity extends Activity {
    /** Called when the activity is first created. */
    static { System.loadLibrary("dipsw");} //JNI Library Load
    public native int Open();
    public native int Close();
    public native int GetValue();
    
    EventHandler 			m_eventHandler;
	MyThread	m_thread;	
    int  NewValue;

    CheckBox dipsw11,dipsw12,dipsw13,dipsw14,dipsw15,dipsw16,dipsw17,dipsw18;
    CheckBox dipsw21,dipsw22,dipsw23,dipsw24,dipsw25,dipsw26,dipsw27,dipsw28;
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        Open();
        
        m_eventHandler = new EventHandler();
		m_thread = new MyThread(); 
		m_thread.start();

		
	    dipsw11 = (CheckBox)findViewById(R.id.dipsw11);
	    dipsw12 = (CheckBox)findViewById(R.id.dipsw12);
	    dipsw13 = (CheckBox)findViewById(R.id.dipsw13);
	    dipsw14 = (CheckBox)findViewById(R.id.dipsw14);
	    dipsw15 = (CheckBox)findViewById(R.id.dipsw15);
	    dipsw16 = (CheckBox)findViewById(R.id.dipsw16);
	    dipsw17 = (CheckBox)findViewById(R.id.dipsw17);
	    dipsw18 = (CheckBox)findViewById(R.id.dipsw18);
		
	    dipsw21 = (CheckBox)findViewById(R.id.dipsw21);
	    dipsw22 = (CheckBox)findViewById(R.id.dipsw22);
	    dipsw23 = (CheckBox)findViewById(R.id.dipsw23);
	    dipsw24 = (CheckBox)findViewById(R.id.dipsw24);
	    dipsw25 = (CheckBox)findViewById(R.id.dipsw25);
	    dipsw26 = (CheckBox)findViewById(R.id.dipsw26);
	    dipsw27 = (CheckBox)findViewById(R.id.dipsw27);
	    dipsw28 = (CheckBox)findViewById(R.id.dipsw28);
	    
	    UpdateValue();
    }
    @Override
    public void onDestroy() {
    	super.onDestroy();
    	m_thread.stop();
    	Close();
    }
     
    public void UpdateValue()
    {
    	NewValue = GetValue();
//    	if((NewValue & 0x80000000) != 0x80000000)
    	{
    		if((NewValue & 0x1) == 0x1) {
    			dipsw11.setChecked(true);
    		} else {
    			dipsw11.setChecked(false);
    		}
    		if((NewValue & 0x2) == 0x2) {
    			dipsw12.setChecked(true);
    		} else {
    			dipsw12.setChecked(false);
    		}
    		if((NewValue & 0x4) == 0x4) {
    			dipsw13.setChecked(true);
    		} else {
    			dipsw13.setChecked(false);
    		}
    		if((NewValue & 0x8) == 0x8) {
    			dipsw14.setChecked(true);
    		} else {
    			dipsw14.setChecked(false);
    		}
    		if((NewValue & 0x10) == 0x10) {
    			dipsw15.setChecked(true);
    		} else {
    			dipsw15.setChecked(false);
    		}
    		if((NewValue & 0x20) == 0x20) {
    			dipsw16.setChecked(true);
    		} else {
    			dipsw16.setChecked(false);
    		}
    		if((NewValue & 0x40) == 0x40) {
    			dipsw17.setChecked(true);
    		} else {
    			dipsw17.setChecked(false);
    		}
    		if((NewValue & 0x80) == 0x80) {
    			dipsw18.setChecked(true);
    		} else {
    			dipsw18.setChecked(false);
    		}
    		
    		if((NewValue & 0x10000) == 0x10000) {
    			dipsw21.setChecked(true);
    		} else {
    			dipsw21.setChecked(false);
    		}
    		if((NewValue & 0x20000) == 0x20000) {
    			dipsw22.setChecked(true);
    		} else {
    			dipsw22.setChecked(false);
    		}
    		if((NewValue & 0x40000) == 0x40000) {
    			dipsw23.setChecked(true);
    		} else {
    			dipsw23.setChecked(false);
    		}
    		if((NewValue & 0x80000) == 0x80000) {
    			dipsw24.setChecked(true);
    		} else {
    			dipsw24.setChecked(false);
    		}
    		if((NewValue & 0x100000) == 0x100000) {
    			dipsw25.setChecked(true);
    		} else {
    			dipsw25.setChecked(false);
    		}
    		if((NewValue & 0x200000) == 0x200000) {
    			dipsw26.setChecked(true);
    		} else {
    			dipsw26.setChecked(false);
    		}
    		if((NewValue & 0x400000) == 0x400000) {
    			dipsw27.setChecked(true);
    		} else {
    			dipsw27.setChecked(false);
    		}
    		if((NewValue & 0x800000) == 0x800000) {
    			dipsw28.setChecked(true);
    		} else {
    			dipsw28.setChecked(false);
    		}
    	}
    }
    
    public class EventHandler extends Handler 
    {
    	EventHandler() {}    	  
    	public void handleMessage(Message msg) 
    	{
    		try
    		{
        		if(msg.what==1)
        		{
        			UpdateValue();
        		}
    		}
    		catch(Exception e) {}
        		
    		return;
    	}
    }	    
	class MyThread extends Thread
    {
        public void run()
        {
        	try
        	{
        		while(true)
        		{
    				Message msg1 = m_eventHandler.obtainMessage();
    	    		msg1.what= 1;
    	    		m_eventHandler.sendMessage(msg1);
        			Thread.sleep(100); 
        		}
        	}
            catch (Exception e) 
            {
            	System.out.println(e);
            }
        }// end of run           
	} // end of myThread    
}