#include <jni.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <string.h>
#include <termios.h>
#include <pthread.h>
#include <sys/stat.h>


#define NUM 11
int Java_com_hanback_proximity_ProximityActivity_getProximityValue(JNIEnv* env, jobject jobj) 
{
	int fd = 0;						// output
	int value = 0;
	int i,j,data[NUM];
	
	fd= open("/dev/proximity", O_RDONLY);			
	if (fd <0) { perror("/dev/proximity"); return -1; }

        for(i=0;i<NUM;i++) {
            read(fd,&data[i],sizeof(int));
        }
        close(fd);

        for(i=0;i<NUM-1;i++) {
            for(j=NUM-1;j>i+1;j--) {
                if(data[j] < data[j-1]) {
                    value=data[j],data[j]=data[j-1],data[j-1]=value;
                }
            }
        }

	value = data[NUM/2-1] + data[NUM/2] + data[NUM/2+1];
	value /= 3;
	return value;
}

