package com.hanback.segment;

import android.app.Activity;
import android.app.Dialog;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.EditText;
import android.text.format.Time;

public class SegmentActivity extends Activity {
	/** Called when the activity is first created. */
	BackThread thread = new BackThread(); //  ¿  
	protected static final int THREAD_FLAGS_PRINT = 0; //  ī
	protected static final int THREAD_FLAGS_CLOCK = 1; // ý ð
	protected static final int DIALOG_SIMPLE_MESSAGE = 1;
	int flag = -1; //    ˸ ÷
	boolean stop = false; //   Ḧ ˸ ÷
	int count = 0; //  Է ޴ 

	public native int SegmentControl(int value);
	public native int SegmentIOControl(int value);

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		System.loadLibrary("7segment");

		//  
		thread.setDaemon(true);
		thread.start();

		final EditText digit = (EditText) findViewById(R.id.digit);
		final Button Input = (Button) findViewById(R.id.start);
		final Button clock = (Button) findViewById(R.id.clock);
		final Button segOff = (Button) findViewById(R.id.segOff);
		// ش ư Ŭ ø flag  ȭ 
		Input.setOnClickListener(new Button.OnClickListener() {
			public void onClick(View v) {
				// Է  ̰ 鸸  ó
				if (Integer.parseInt(digit.getText().toString()) > 1000000) {
					showDialog(DIALOG_SIMPLE_MESSAGE);
					return;
				}
				count = Integer.parseInt(digit.getText().toString());
				flag = THREAD_FLAGS_PRINT;
			}
		});
		clock.setOnClickListener(new Button.OnClickListener() {
			public void onClick(View v) {
				flag = THREAD_FLAGS_CLOCK;
			}
		});
		segOff.setOnClickListener(new Button.OnClickListener() {
			public void onClick(View v) {
				flag = -1;
			}
		});
	}

	//  ϴ  Ŭ
	class BackThread extends Thread {
		public void run() {
			while (!stop) {
				switch (flag) {
				default:
					// ƹϵ  
					break;
				case THREAD_FLAGS_PRINT:
				   // ī 
					SegmentIOControl(THREAD_FLAGS_PRINT);
					while (count > 0 && flag == THREAD_FLAGS_PRINT) {
						for (int i = 0; i < 14 && flag == THREAD_FLAGS_PRINT; i++) {
							SegmentControl(count);
						}
						count--;
					}
					// flag = 0;
					break;

				case THREAD_FLAGS_CLOCK:
					// ȵ̵ ð  (,,)
					SegmentIOControl(THREAD_FLAGS_CLOCK);					int result = 0;
					// ð ޾ƿ
					Time t = new Time();
					t.set(System.currentTimeMillis());
					//  
					result = t.hour * 10000 + t.minute * 100 + t.second;
					// 鸸 ڸ ÷׷ 
					result += 1000000;
					for (int i = 0; i < 20; i++)
						SegmentControl(result);
					break;
				}
			}
		}
	}

	// Ű . BACK ư  α׷   嵵  Ŵ
	@Override
	public boolean onKeyDown(int keyCode, KeyEvent event) {
		if (keyCode == KeyEvent.KEYCODE_BACK) {
			flag = -1;
			stop = true;
			thread.interrupt();
		}
		return super.onKeyDown(keyCode, event);
	}

	//  Է  ޽ ó
	@Override
	protected Dialog onCreateDialog(int id) {
		// TODO Auto-generated method stub
		Dialog d = new Dialog(SegmentActivity.this);
		Window window = d.getWindow();
		window.setFlags(WindowManager.LayoutParams.FIRST_APPLICATION_WINDOW,
				WindowManager.LayoutParams.FIRST_APPLICATION_WINDOW);

		switch (id) {
		case DIALOG_SIMPLE_MESSAGE:
			d.setTitle("Է   ̴ 6ڱ Դϴ.");
			d.show();
			return d;
		}
		return super.onCreateDialog(id);
	}
}
