package com.hanback.buzzer;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class BuzzerActivity extends Activity {
    /** Called when the activity is first created. */
//    static { System.loadLibrary("buzzer"); }  // JNI Library load
    static { System.loadLibrary("buzzer"); }  // JNI Library load
    public native int BuzzerControl(int value);	// JNI Interface
    
	int BuzData;
	Button On;
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        BuzData = 0;
        BuzzerControl(BuzData);
        On = (Button)findViewById(R.id.On);
        On.setOnClickListener(new Button.OnClickListener() {
        	public void onClick(View v) {
        		if(BuzData == 0) {
        			BuzData = 1;
        			On.setText("Buzzer Off");
        		}else{
        			BuzData = 0;
        			On.setText("Buzzer On");
        		}
        		BuzzerControl(BuzData);
        	}
        });
        
    }

}