package com.hanback.vibrator;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.os.Vibrator;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

public class VibratorActivity extends Activity {
    /** Called when the activity is first created. */
	EditText duration;
    Vibrator mVibrator;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        duration = (EditText)findViewById(R.id.EdtDuration);
        mVibrator = (Vibrator)getSystemService(Context.VIBRATOR_SERVICE);
        
        final Button ButVib = (Button)findViewById(R.id.ButVib);
        ButVib.setOnClickListener(new Button.OnClickListener() {
        	public void onClick(View v) {
        		int value = Integer.parseInt(duration.getText().toString());
                mVibrator.vibrate(value);
        	}
        });
    }
}